Bug 14798 - Incorrect bidi reordering of neutrals and digits after RTL embed
Summary: Incorrect bidi reordering of neutrals and digits after RTL embed
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Text (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P3 Normal
Assignee: Nobody
URL: data:text/html,<span style="direction...
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2007-07-28 05:26 PDT by mitz
Modified: 2007-08-10 00:55 PDT (History)
0 users

See Also:


Attachments
Fix bugs in resolving neutrals' levels (125.58 KB, patch)
2007-07-31 07:50 PDT, mitz
hyatt: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mitz 2007-07-28 05:26:43 PDT
WebKit renders the URL as (X standing for the Hebrew letter Aleph):
X^1
but Firefox renders it like this:
1^X

I think WebKit is wrong.

(My original test case was
<span style="direction: rtl; unicode-bidi: embed">&#x05d0;</span> (1)
)
Comment 1 mitz 2007-07-31 07:50:38 PDT
Created attachment 15759 [details]
Fix bugs in resolving neutrals' levels

The cases fixed by the patch are quite esoteric.

No layout test regressions. Includes an extensive layout test.
Comment 2 Dave Hyatt 2007-08-07 12:56:59 PDT
Comment on attachment 15759 [details]
Fix bugs in resolving neutrals' levels

r=me
Comment 3 Mark Rowe (bdash) 2007-08-07 14:12:28 PDT
<rdar://problem/5392800>
Comment 4 Mark Rowe (bdash) 2007-08-10 00:55:05 PDT
Landed in r24977.